<?php

function comunicar_bilhete($order_id){
    if(!is_numeric($order_id)){
        $order_id = $order_id->get_id();
    }
    $order = wc_get_order( $order_id );
    //retrieve the custommer name from the order
    $client_name = $order->get_billing_first_name() . ' ' . $order->get_billing_last_name();
    //retrieve the email from the order
    $client_email = $order->get_billing_email();
    //retrieve the order date from the order
    $order_date = $order->get_date_created();
    //format into the correct date format
    $order_date = $order_date->format('Y-m-d');
    $date= $order_date;
    //retrieve the products list from the order and loop through them
    $items = $order->get_items();
    foreach ($items as $item){
        //retrieve the product id
        $product_id = $item->get_product_id();
        $product = wc_get_product( $product_id );
        $product_price = $product->get_price();
        $product_code = get_post_meta($product_id, '_codigo_bilhete', true);
        $quantity = $item->get_quantity();
        $total= $product_price * $quantity;
        //if the product has a code, call the API
        if($product_code!=""){
            //call the API for each product in the order sice the api cant handle multiple products in one call
            $result=exec_api_post($date,$order_date,$client_name,$client_email,$product_code,$product_price,$total,$quantity,$order_id);
            //log the result of the API call in the debug.log file
            error_log(print_r($result,true));

            $msg=$result['body'];
            //consvert json to array
            $msg=json_decode($msg,true);
            if(is_array($msg)){
                $msg=$msg['message'];
            }else{
                $msg=$result['body'];
            }

            //log the result in the order notes
            $order->add_order_note(
                sprintf(
                    'Resultado da API: %s',
                    $msg
                )
            );
        }
    }
}

function exec_api_post($date,$order_date,$client_name,$client_email,$product_code,$product_price,$total,$quantity,$order_id){
    $url = get_option('inideia_api_url'); // Retrieve the API URL from the WordPress options
    $token = get_option('inideia_api_token'); // Retrieve the API token from the WordPress options
    $headers = array(
        'Authorization' => 'Bearer '.$token,
        'Content-Type' => 'application/json',
        'Accept' => 'application/json',
    );
    $body = array(
        'code' => $product_code,
        'date' => $date, //todo: a data é selecionada na altura da compra?
        'purchase_date' => $order_date,
        'client_name' => $client_name,
        'client_email' => $client_email,
        'price' => $product_price,
        'total' => $total,
        'quantity' => $quantity,
        'order_id' => $order_id,
    );
    $response = wp_remote_post( $url, array(
        'method' => 'POST',
        'headers' => $headers,
        'body' => json_encode($body),
        'timeout' => 15,
    ) );
    return $response;
}