<?php

// Add metabox to WooCommerce product edit screen
function inideia_api_bilhetes_add_metabox() {
    add_meta_box(
        'inideia_api_bilhetes_metabox',
        'Código do bilhete na API',
        'inideia_api_bilhetes_metabox_callback',
        'product',
        'normal',
        'high'
    );
}
add_action('add_meta_boxes', 'inideia_api_bilhetes_add_metabox');

// Metabox callback function
function inideia_api_bilhetes_metabox_callback($post) {
    // Get existing value for the custom field
    $codigo_bilhete = get_post_meta($post->ID, '_codigo_bilhete', true);
    // Output the field
    echo '<label for="codigo_bilhete">Código do bilhete na API:</label>';
    echo '<input type="text" id="codigo_bilhete" name="codigo_bilhete" value="' . esc_attr($codigo_bilhete) . '" />';
}

// Save custom field value when the product is saved
function inideia_api_bilhetes_save_metabox($post_id) {
    if (isset($_POST['codigo_bilhete'])) {
        $codigo_bilhete = sanitize_text_field($_POST['codigo_bilhete']);
        update_post_meta($post_id, '_codigo_bilhete', $codigo_bilhete);
    }
}
add_action('save_post_product', 'inideia_api_bilhetes_save_metabox');
