<?php

// Add a menu item to the Settings menu
function inideia_api_bilhetes_add_menu() {
    add_options_page(
        'Inideia API Bilhetes Settings',
        'Inideia API Bilhetes',
        'manage_options',
        'inideia_api_bilhetes_settings',
        'inideia_api_bilhetes_settings_page'
    );
}
add_action('admin_menu', 'inideia_api_bilhetes_add_menu');

// Register settings and create settings page
function inideia_api_bilhetes_settings_init() {
    register_setting('inideia_api_bilhetes_settings_group', 'inideia_api_url');
    register_setting('inideia_api_bilhetes_settings_group', 'inideia_api_token');
    register_setting('inideia_api_bilhetes_settings_group', 'inideia_api_order_status');

    add_settings_section(
        'inideia_api_bilhetes_settings_section',
        'API Settings',
        'inideia_api_bilhetes_settings_section_callback',
        'inideia_api_bilhetes_settings'
    );

    add_settings_field(
        'inideia_api_url',
        'API URL',
        'inideia_api_url_callback',
        'inideia_api_bilhetes_settings',
        'inideia_api_bilhetes_settings_section'
    );

    add_settings_field(
        'inideia_api_token',
        'token',
        'inideia_api_token_callback',
        'inideia_api_bilhetes_settings',
        'inideia_api_bilhetes_settings_section'
    );

    //add settings field for the order status to trigger the API call
    add_settings_field(
        'inideia_api_order_status',
        'Order status to trigger API call',
        'inideia_api_order_status_callback',
        'inideia_api_bilhetes_settings',
        'inideia_api_bilhetes_settings_section'
    );
}
add_action('admin_init', 'inideia_api_bilhetes_settings_init');

// Callback functions for settings fields
function inideia_api_url_callback() {
    $url = esc_attr(get_option('inideia_api_url'));
    echo "<input type='text' name='inideia_api_url' value='$url' />";
}

function inideia_api_token_callback() {
    $token = esc_attr(get_option('inideia_api_token'));
    echo "<input type='text' name='inideia_api_token' value='$token' />";
}

//callback function for the order status to trigger the API call
function inideia_api_order_status_callback() {
    $order_status = esc_attr(get_option('inideia_api_order_status'));
    //html select field with order statuses for user to choose
    echo "<select name='inideia_api_order_status'>";
    echo "<option value='completed' " . selected($order_status, 'completed', false) . ">Completed</option>";
    echo "<option value='processing' " . selected($order_status, 'processing', false) . ">Processing</option>";
    echo "<option value='on-hold' " . selected($order_status, 'on-hold', false) . ">On hold</option>";
    echo "</select>";
}

// Callback function for settings section
function inideia_api_bilhetes_settings_section_callback() {
    echo 'Enter your API settings below:';
}

// Callback function for the settings page
function inideia_api_bilhetes_settings_page() {
    ?>
    <div class="wrap">
        <h1>Inideia API Bilhetes Settings</h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('inideia_api_bilhetes_settings_group');
            do_settings_sections('inideia_api_bilhetes_settings');
            submit_button();
            ?>
        </form>
    </div>
    <?php
}


